> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/cover.md).

# Cover

**Objective**: The test is intended to check what proportion of the words provided was covered by the model in the response

**Required Parameters**:

* **Response**: The sentence generated by the model.
* **Concept\_set**: A list of words in their root form, each tagged with its corresponding part of speech (e.g., "\_V" for verb, "\_N" for noun, "\_A" for adjective).

**Interpretation**: A higher score indicates that the model's response contains all concepts as specified in the concept set.

* **Example with Higher Score**:
  * Concept set: \["cat\_N", "sleep\_V", "windowsill\_N"]
  * Response: "A cat is sleeping on the windowsill." (All concepts are used in model response.)
* **Example with Lower Score**:
  * Concept set: \["sky\_N", "sun\_N", "windowsill\_N"]
  * Response: "The sky is blue and the sun is shining." (windowsill is not covered in response.)

**Note**: *Always use words in their root form in the concept set to focus on parts of speech application rather than word conjugation or inflection.*

```python
# Example with Higher Score

evaluator.add_test(
    test_names=["cover_test"],
    data={
        "concept_set" : ["cat_N", "sleep_V", "windowsill_N"],
        "response" : "A cat is sleeping on the windowsill."
    },
).run()

evaluator.print_results()
```

```python
# Example with Lower Score

evaluator.add_test(
    test_names=["cover_test"],
    data={
        "concept_set" : ["sky_N", "sun_N", "windowsill_N"],
        "response" : "The sky is blue and the sun is shining."
    },
).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/cover.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
